package com.test;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;

public class Login {

  WebDriver driver;
  WebElement linkSignIn;
  WebElement homeHeaderSignIn;
  WebElement inputUsername;
  WebElement inputPassword;
  WebElement buttonSubmit;

  public Login(WebDriver driver) {
    this.driver = driver;
  }

  public WebElement getHomeHeaderSignIn() {
    return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/li[1]/a/span[1]"));
  }

  public WebElement getLinkSignIn() {
    return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/div/div[2]/div[1]/div[1]/div[1]/a"));
  }

  public WebElement getInputUsername() {
    return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[1]/input"));
  }

  public WebElement getInputPassword() {
    return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[2]/div/input"));
  }

  public WebElement getButtonSubmit() {
    return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[5]/div[1]/input"));
  }

  public void login(String username, String password) {
    getHomeHeaderSignIn().click();
    getLinkSignIn().click();
    driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
    getInputUsername().sendKeys(username);
    getInputPassword().sendKeys(password);
    getButtonSubmit().click();
  }
}
